Subject: Re: [Gen-art] Genart last call review of draft-thaler-iftype-reg-06

From: Dave Thaler <[email-masked]>
Date: Fri, 17 Jan 2020 02:23:44 +0000

Thanks Peter for the Gen-ART review.   Below with [DT] are my responses.

-----Original Message-----
From: Peter Yee via Datatracker <[email-masked]> 
Sent: Saturday, November 9, 2019 9:29 AM
To: [email-masked]
Cc: [email-masked]; [email-masked]
Subject: Genart last call review of draft-thaler-iftype-reg-06

Reviewer: Peter Yee
Review result: Ready with Nits

I am the assigned Gen-ART reviewer for this draft. The General Area Review Team (Gen-ART) reviews all IETF documents being processed by the IESG for the IETF Chair.  Please treat these comments just like any other last call comments.

For more information, please see the FAQ at

<https://nam06.safelinks.protection.outlook.com/?url=https%3A%2F%2Ftrac.ietf.org%2Ftrac%2Fgen%2Fwiki%2FGenArtfaq&amp;data=02%7C01%7Cdthaler%40microsoft.com%7C08a470ef726347690feb08d7653a4d33%7C72f988bf86f141af91ab2d7cd011db47%7C1%7C0%7C637089173397623417&amp;sdata=2%2B9gNCM8%2BnBiDaMoli6%2BSfl0aFCpSsgAuJewtojI9AY%3D&amp;reserved=0>.

Document: draft-thaler-iftype-reg-06
Reviewer: Peter Yee
Review Date: 2019-11-09
IETF LC End Date: 2019-11-07
IESG Telechat date: Not scheduled for a telechat

Summary: This is a well-written draft that provides updated guidance for the IANA interface and tunnel type registries.  It was a pleasure to read: when a question arose in my mind, I invariably found it answered in the next paragraph.  The reasoning for the guidance given is well explained and clear.

Major issues: None

Minor issues: None

Nits/editorial comments:

Page 3, Section 3, item #2, 1st sentence:  Delete the first two commas.

[DT] Done in (to be submitted) -07.

Page 3, Section 3, item #3, 1st sentence: Delete the first two commas.

[DT] Not done because it would change the meaning of the sentence in that
it could then be misread as having " in the format of MIB modules" only
apply to the "still retrievable" clause and not both that clause and the
"originally defined" clause.

Page 7, Section 6.1, item #3, 2nd sentence: Delete the last comma.

[DT] Done in -07

Page 7, Section 6.1, item #4: Delete the space between iftype and the period.

[DT] Fixed markdown, the URL was supposed to be surrounded by <>
which needed to be escaped to avoid being converted to spaces.

Page 8, 3rd paragraph, Rationale (2): Change "transmision" to "transmission".

[DT] Done in -07

Page 10, 3rd bullet item: I suspect "xxxSomeTunnelTypeLabel" would make more sense here than "xxxSomeIfTypeLabel".

[DT] Done, thanks for catching this!

Dave